/usr/bin/odbxtest.master is in opendbx-utils 1.4.6-11.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 | #!/bin/sh
#
# Automated regression testing
#
if ! test -f odbxtest.site
then
echo "No odbxtest.site file found"
exit 1
fi
ODBXAPP="./odbxtest ./odbxplustest"
# Import database parameter
. ./odbxtest.site
# compare results
odbxcompare ()
{
diff -b test.out ref/$1.ref > /dev/null
if test $? -eq 1
then
echo " $1 FAILED"
echo " $1 FAILED" >> testresult.log
echo "" >> testresult.err
echo "$1 ERRORS:" >> testresult.err
cat test.err >> testresult.err
diff -b test.out ref/$1.ref >> testresult.err
FAILURE="FAILED"
else
echo " $1 OK"
echo " $1 OK" >> testresult.log
fi
}
echo "`date`:" > testresult.log
echo "`date`:" > testresult.err
for app in $ODBXAPP
do
echo "testing $app"
for backend in $ODBXTEST_BACKENDS
do
case $backend in
firebird)
$ODBXAPP \
-b "../backends/firebird/.libs/libfirebirdbackend.so" \
-h "$FIREBIRD_HOST" \
-p "$FIREBIRD_PORT" \
-d "$FIREBIRD_DATABASE" \
-u "$FIREBIRD_USERNAME" \
-w "$FIREBIRD_PASSWORD" \
1>test.out 2>test.err
odbxcompare firebird
;;
mssql)
$ODBXAPP \
-b "../backends/mssql/.libs/libmssqlbackend.so" \
-h "$MSSQL_HOST" \
-p "$MSSQL_PORT" \
-d "$MSSQL_DATABASE" \
-u "$MSSQL_USERNAME" \
-w "$MSSQL_PASSWORD" \
1>test.out 2>test.err
odbxcompare mssql
;;
mysql)
$ODBXAPP \
-b "../backends/mysql/.libs/libmysqlbackend.so" \
-h "$MYSQL_HOST" \
-p "$MYSQL_PORT" \
-d "$MYSQL_DATABASE" \
-u "$MYSQL_USERNAME" \
-w "$MYSQL_PASSWORD" \
1>test.out 2>test.err
odbxcompare mysql
;;
odbc)
$ODBXAPP \
-b "../backends/odbc/.libs/libodbcbackend.so" \
-h "$ODBC_HOST" \
-p "$ODBC_PORT" \
-d "$ODBC_DATABASE" \
-u "$ODBC_USERNAME" \
-w "$ODBC_PASSWORD" \
1>test.out 2>test.err
odbxcompare odbc
;;
oracle)
LD_LIBRARY_PATH="/usr/lib/oracle/xe/app/oracle/product/10.2.0/client/lib" \
$ODBXAPP \
-b "../backends/oracle/.libs/liboraclebackend.so" \
-h "$ORACLE_HOST" \
-p "$ORACLE_PORT" \
-d "$ORACLE_DATABASE" \
-u "$ORACLE_USERNAME" \
-w "$ORACLE_PASSWORD" \
1>test.out 2>test.err
odbxcompare oracle
;;
pgsql)
$ODBXAPP \
-b "../backends/pgsql/.libs/libpgsqlbackend.so" \
-h "$PGSQL_HOST" \
-p "$PGSQL_PORT2" \
-d "$PGSQL_DATABASE" \
-u "$PGSQL_USERNAME" \
-w "$PGSQL_PASSWORD" \
1>test.out 2>test.err
odbxcompare pgsql
;;
sqlite)
$ODBXAPP \
-b "../backends/sqlite/.libs/libsqlitebackend.so" \
-h "$SQLITE_HOST" \
-p "$SQLITE_PORT" \
-d "$SQLITE_DATABASE" \
-u "$SQLITE_USERNAME" \
-w "$SQLITE_PASSWORD" \
1>test.out 2>test.err
odbxcompare sqlite
;;
sqlite3)
$ODBXAPP \
-b "../backends/sqlite3/.libs/libsqlite3backend.so" \
-h "$SQLITE3_HOST" \
-p "$SQLITE3_PORT" \
-d "$SQLITE3_DATABASE" \
-u "$SQLITE3_USERNAME" \
-w "$SQLITE3_PASSWORD" \
1>test.out 2>test.err
odbxcompare sqlite3
;;
sybase)
$ODBXAPP \
-b "../backends/sybase/.libs/libsybasebackend.so" \
-h "$SYBASE_HOST" \
-p "$SYBASE_PORT" \
-d "$SYBASE_DATABASE" \
-u "$SYBASE_USERNAME" \
-w "$SYBASE_PASSWORD" \
1>test.out 2>test.err
odbxcompare sybase
;;
esac
done
done
# cleanup
rm -f test.out
rm -f test.err
if [ -n "$FAILURE" ]
then
exit 1
else
exit 0
fi
|